Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets
Class NullFilter

    java.lang.Object
      com.bea.p13n.servlets.NullFilter

    public class NullFilter

extends Object

This filter does nothing. The only reason you might need such a thing is to override a filter that has been deployed in a Library Module. Due to the way descriptor merging works for web.xml, you can not "turn off" a filter which is deployed in a library's web.xml. There is not anything available in your web app's web.xml to turn such a filter off. Therefore, the only thing you can do is override the filter with one that does nothing (that is why this filter exists).

For example, maybe a library module contains a filter such as:

        <filter>
          <filter-name>SomeFilter</filter-name>
          <filter-class>org.foo.TheFilter</filter-class>
        </filter>

You can override this in your application's web.xml using the same filter-name, like this:

        <filter>
          <filter-name>SomeFilter</filter-name>
          <filter-class>com.bea.p13n.servlets.NullFilter</filter-class>
        </filter>

Constructor Summary
`NullFilter()`

Method Summary
`void` | `destroy()` does nothing
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Simply calls chain.doFilter(request,response).
`void` | `init(FilterConfig config)` does nothing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFilter

    public NullFilter()

Method Detail

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Simply calls chain.doFilter(request,response).

  Throws
    `IOException`
    `ServletException`

### init

    public void init(FilterConfig config)
              throws ServletException

  does nothing

  Throws
    `ServletException`

### destroy

    public void destroy()

  does nothing

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved